## com.thingmagic
Enum TagProtocol

    java.lang.Object
      java.lang.Enum<TagProtocol>
          com.thingmagic.TagProtocol

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TagProtocol>

    public enum TagProtocol

extends java.lang.Enum<TagProtocol>

RFID Protocols

Enum Constant Summary
`ATA`
`GEN2`
`IPX256`
`IPX64`
`ISO180006B`
`ISO180006B_UCODE`
`NONE`

Method Summary
`static TagProtocol` `getProtocol(java.lang.String s)`
`static TagProtocol` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TagProtocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GEN2

    public static final TagProtocol GEN2

### ISO180006B

    public static final TagProtocol ISO180006B

### ISO180006B_UCODE

    public static final TagProtocol ISO180006B_UCODE

### IPX64

    public static final TagProtocol IPX64

### IPX256

    public static final TagProtocol IPX256

### ATA

    public static final TagProtocol ATA

### NONE

    public static final TagProtocol NONE

Method Detail

### values

    public static TagProtocol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TagProtocol c : TagProtocol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TagProtocol valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getProtocol

    public static TagProtocol getProtocol(java.lang.String s)